- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Retrieves an Assured Workloads violation by its resource name.
HTTP request
GET https://{endpoint}/v1beta1/{name=organizations/*/locations/*/workloads/*/violations/*}
Where {endpoint} is one of the supported service endpoints.
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the violation to retrieve (that is, the value of Format: Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
view |
Optional. The violation view ( |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Violation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/assuredworkloadshttps://www.googleapis.com/auth/assuredworkloads.readonlyhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
assuredworkloads.violations.get
For more information, see the IAM documentation.